#!/usr/bin/make -f

.PHONY: all ps pdf clean pics runclean

PDFTEX=pdflatex

TARGET=`ls -1 *.tex | sed -e 's/\(.*\)\.tex/\1.pdf/'`

all:
	make ${TARGET}
	make archive

%.pdf:  %.tex
	if grep '^\\documentclass.*eptcs' $*.tex; \
	then \
		-$(PDFTEX) -shell-escape $*.tex; \
		B="`ls *.bib`"; \
		if [ "$$B" != "" ]; \
		then \
			bibtex $*; \
		fi; \
		$(PDFTEX) -shell-escape $*.tex; \
		$(PDFTEX) -shell-escape $*.tex; \
		$(PDFTEX) -shell-escape $*.tex; \
	fi

archive:
	D="`pwd | sed -e 's,.*/,,'`"; \
	cd ..; \
	tar -cvzf $$D.tar.gz $$D; \
	cd $$D
